Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 1986 - dump-0.4.24.ebuild Sandbox violation
Summary: dump-0.4.24.ebuild Sandbox violation
Status: VERIFIED INVALID
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Achim Gottinger (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-04-21 17:45 UTC by Kingsqueak
Modified: 2003-02-04 19:42 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
patch to dump-0.4.24.ebuild to fix chmod: /sbin violation (dump-0.4.24.patch,1.36 KB, patch)
2002-04-21 17:47 UTC, Kingsqueak
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kingsqueak 2002-04-21 17:45:58 UTC
The following patch will fix the sandbox violation that resulted in a 

chmod:  /sbin

sandbox warning.

This is a unified diff of the dump-0.4.24.ebuild file

--- dump-0.4.24.ebuild.orig     Fri Nov  9 21:33:03 2001
+++ dump-0.4.24.ebuild  Sun Apr 21 18:35:25 2002
@@ -18,33 +18,25 @@
         sys-apps/star"
 
 src_compile() {
-    local myconf
-    if use readline; then
-       myconf=--enable-readline
-       ln -s /lib/libncurses.so libtermcap.so
-       export LDFLAGS="-L${S}"
-       export CFLAGS="$CFLAGS -L${S}"
-    fi
+       local myconf
+       if use readline; then
+               rlconf=--enable-readline
+               ln -s /lib/libncurses.so libtermcap.so
+               export LDFLAGS="-L${S}"
+               export CFLAGS="$CFLAGS -L${S}"
+       fi
+    ./configure --prefix=/usr --with-dumpdatespath=/etc --with-bingroup=root \
+               --enable-largefile ${rlconf} || die "./configure failed "
 
-    ./configure --prefix=/usr --host=${CHOST} --enable-largefile ${myconf}
-    assert "./configure failed (myconf=$myconf)"
-
-    emake 
-    assert "emake failed (myconf=$myconf)"
+    emake || die "emake failed!" 
 }
-
 src_install () {
-    dodir /sbin
-    dodir /usr/share/man/man8
-    dodir /etc/dumpdates
-    make BINDIR=${D}/sbin MANDIR=${D}/usr/share/man/man8 \
-       DUMPDATESPATH=${D}/etc/dumpdates install || die "make install failed"
 
+       dosbin dump/dump
+       dosbin restore/restore
+       doman restore/restore.8
+       doman dump/dump.8
     dodoc CHANGES COPYRIGHT KNOWNBUGS MAINTAINERS
     dodoc README REPORTING-BUGS THANKS TODO
 
-    cd ${D}/sbin
-    rm -f rdump rrestore
-    ln -s dump rdump
-    ln -s restore rrestore
 }
Comment 1 Kingsqueak 2002-04-21 17:47:39 UTC
Created attachment 631 [details, diff]
patch to dump-0.4.24.ebuild to fix chmod: /sbin violation

In case gpm failed me in pasting, here is the patch file directly to patch the
dump-0.4.24.ebuild